Unit tafh4z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFH4Z_p;

function tafh4z: String;

implementation

function tafh4z: String;
var
J,I,N :Integer;
D :Array [0..3] of Extended;
E :Array [0..3] of Extended;
RAB :Array [0..7] of Extended;
const
AR :Array [0..15] of Extended = ( 1.0e0,0.42e0,0.54e0,0.66e0,0.42e0,1.0e0,0.32e0,
0.44e0,0.54e0,0.32e0,1.0e0,0.22e0,0.66e0,0.44e0,
0.22e0,1.0e0 );
AI :Array [0..15] of Extended = ( 0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,
0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0 );
begin
Result := '';  {   }
Result := Result + #$0D#$0A;
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('#$0D#$0A +  AR%20.16f ',
 [AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 4;
AFH4Z(N,AR,AI,D,E,RAB);
Result := Result + Format('%s',[#$0D#$0A + ' PETAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('#$0D#$0A +  AR%20.16f ',
 [AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('#$0D#$0A +  AI%20.16f ',
 [AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 4 do
 begin
  Result := Result + Format('#$0D#$0A +  D%20.16f ',[D[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 4 do
 begin
  Result := Result + Format('#$0D#$0A +  E%20.16f ',[E[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tafh4z',Result);  {     tafh4z.res }
exit;
end;

end.
